/****************************************************************************
** Form implementation generated from reading ui file 'MainDialogBase.ui'
**
** Created: Sun Feb 19 03:31:25 2017
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "MainDialogBase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "menubar.h"
#include "OpenGLWidget.h"

/*
 *  Constructs a MainDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MainDialogBase::MainDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MainDialogBase" );
    MainDialogBaseLayout = new QVBoxLayout( this, 0, 0, "MainDialogBaseLayout"); 

    customMenuBar = new MenuBar( this, "customMenuBar" );
    customMenuBar->setMinimumSize( QSize( 0, 24 ) );
    MainDialogBaseLayout->addWidget( customMenuBar );

    GLWidget = new OpenGLWidget( this, "GLWidget" );
    GLWidget->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, GLWidget->sizePolicy().hasHeightForWidth() ) );
    GLWidget->setPaletteBackgroundColor( QColor( 0, 0, 0 ) );
    MainDialogBaseLayout->addWidget( GLWidget );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    textLabel_PlayingNr = new QLabel( this, "textLabel_PlayingNr" );
    QFont textLabel_PlayingNr_font(  textLabel_PlayingNr->font() );
    textLabel_PlayingNr_font.setPointSize( 12 );
    textLabel_PlayingNr->setFont( textLabel_PlayingNr_font ); 
    textLabel_PlayingNr->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout3->addWidget( textLabel_PlayingNr );

    textLabel_GameNr = new QLabel( this, "textLabel_GameNr" );
    textLabel_GameNr->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout3->addWidget( textLabel_GameNr );
    MainDialogBaseLayout->addLayout( layout3 );
    languageChange();
    resize( QSize(1007, 724).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MainDialogBase::~MainDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MainDialogBase::languageChange()
{
    setCaption( tr( "Mahjongg Solitaire 3D V0.92" ) );
    textLabel_PlayingNr->setText( tr( "You are playing game number:" ) );
    textLabel_GameNr->setText( QString::null );
}

