/***************************************************************************
*   Copyright (C) 2004 by Reto Schoelly,,,                                *
*   reto@reto-schoelly.de                                                 *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#ifndef CBITMAPFILE_H
#define CBITMAPFILE_H


/**
@author Reto Schoelly,,,
*/

#define ERROR_FILENOTFOUND -1
#define ERROR_READINGFILEFAILED -2
#define ERROR_BPP -3
#define ERROR_MEMORY -4
#define FILE_OK 1


typedef struct
{
    unsigned long sizeX;
    unsigned long sizeY;
    char *data;
} Image;

class CBitmapFile{
public:
    CBitmapFile();
    ~CBitmapFile();
    
    int LoadBMP(char *filename);
    Image *image;
};

#endif
