/****************************************************************************
** Form implementation generated from reading ui file 'gamesetupdialog.ui'
**
** Created: Sun Feb 19 03:31:26 2017
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gamesetupdialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qiconview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GameSetupDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
GameSetupDialog::GameSetupDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GameSetupDialog" );
    GameSetupDialogLayout = new QVBoxLayout( this, 8, 8, "GameSetupDialogLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    GameSetupDialogLayout->addWidget( textLabel1 );

    layout6 = new QHBoxLayout( 0, 0, 0, "layout6"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 0 );
    groupBox1->layout()->setMargin( 6 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    iconView_layouts = new QIconView( groupBox1, "iconView_layouts" );
    iconView_layouts->setAcceptDrops( FALSE );

    groupBox1Layout->addWidget( iconView_layouts, 0, 0 );
    layout6->addWidget( groupBox1 );

    groupBox1_2 = new QGroupBox( this, "groupBox1_2" );
    groupBox1_2->setColumnLayout(0, Qt::Vertical );
    groupBox1_2->layout()->setSpacing( 0 );
    groupBox1_2->layout()->setMargin( 6 );
    groupBox1_2Layout = new QGridLayout( groupBox1_2->layout() );
    groupBox1_2Layout->setAlignment( Qt::AlignTop );

    iconView_tilesets = new QIconView( groupBox1_2, "iconView_tilesets" );
    iconView_tilesets->setAcceptDrops( FALSE );

    groupBox1_2Layout->addWidget( iconView_tilesets, 0, 0 );
    layout6->addWidget( groupBox1_2 );

    groupBox1_3 = new QGroupBox( this, "groupBox1_3" );
    groupBox1_3->setColumnLayout(0, Qt::Vertical );
    groupBox1_3->layout()->setSpacing( 0 );
    groupBox1_3->layout()->setMargin( 6 );
    groupBox1_3Layout = new QGridLayout( groupBox1_3->layout() );
    groupBox1_3Layout->setAlignment( Qt::AlignTop );

    iconView_backgrounds = new QIconView( groupBox1_3, "iconView_backgrounds" );
    iconView_backgrounds->setAcceptDrops( FALSE );

    groupBox1_3Layout->addWidget( iconView_backgrounds, 0, 0 );
    layout6->addWidget( groupBox1_3 );
    GameSetupDialogLayout->addLayout( layout6 );

    layout9 = new QHBoxLayout( 0, 0, 0, "layout9"); 

    pushButton_ok = new QPushButton( this, "pushButton_ok" );
    layout9->addWidget( pushButton_ok );

    pushButtonCancel = new QPushButton( this, "pushButtonCancel" );
    layout9->addWidget( pushButtonCancel );
    GameSetupDialogLayout->addLayout( layout9 );
    languageChange();
    resize( QSize(517, 551).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton_ok, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( pushButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( iconView_tilesets, SIGNAL( selectionChanged(QIconViewItem*) ), this, SLOT( tilesetItemSelected(QIconViewItem*) ) );
    connect( iconView_backgrounds, SIGNAL( selectionChanged(QIconViewItem*) ), this, SLOT( backgroundItemSelected(QIconViewItem*) ) );
    connect( iconView_layouts, SIGNAL( selectionChanged(QIconViewItem*) ), this, SLOT( layoutItemSelected(QIconViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GameSetupDialog::~GameSetupDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GameSetupDialog::languageChange()
{
    setCaption( tr( "New game" ) );
    textLabel1->setText( tr( "<font size=\"+1\"><b>New MahJongg 3D game: <br>Please select your preferred settings</b></font>" ) );
    groupBox1->setTitle( tr( "Layouts" ) );
    groupBox1_2->setTitle( tr( "Tilesets" ) );
    groupBox1_3->setTitle( tr( "Backgrounds" ) );
    pushButton_ok->setText( tr( "OK" ) );
    pushButtonCancel->setText( tr( "Cancel" ) );
}

void GameSetupDialog::layoutItemSelected(QIconViewItem*)
{
    qWarning( "GameSetupDialog::layoutItemSelected(QIconViewItem*): Not implemented yet" );
}

void GameSetupDialog::tilesetItemSelected(QIconViewItem*)
{
    qWarning( "GameSetupDialog::tilesetItemSelected(QIconViewItem*): Not implemented yet" );
}

void GameSetupDialog::backgroundItemSelected(QIconViewItem*)
{
    qWarning( "GameSetupDialog::backgroundItemSelected(QIconViewItem*): Not implemented yet" );
}

