#include <qapplication.h>
#include "MainDialog.h"

#include "stdio.h"

#include "defines.h"
#include "gamedata_path.h"

extern int texture_quality;
extern int tile_resolution;

int main( int argc, char *argv[] )
{
	if(argc == 2)
	{
		if(strcmp(argv[1], "--data-prefix") == 0)
		{
			printf("%s", GAMEDATA_BASE_PATH);
		}
		else printf("\nUsage: Enter \n\n\tmahjongg3d\n\nto play, OR: \n\n\tmahjongg3d --data-prefix\n\n To find out where the game data is installed\n\n");
		
		return 0;
	}
	if(argc > 2)
	{
		printf("\nUsage: Enter \n\n\tmahjongg3d\n\nto play, OR: \n\n\tmahjongg3d --data-prefix\n\n To find out where the game data is installed\n\n");
		
		return 0;
	}
	
    QApplication a( argc, argv );
    MainDialog * mw = new MainDialog(0, 0);
    mw->setCaption( "Mahjongg Solitaire 3D V0.96" );
    mw->show();
    a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
    return a.exec();
}
